=== debian/changelog ===
diodon (1.0.1-0ubuntu1) raring; urgency=low

  * Initial release (LP: #808464)

 -- Oliver Sauder <os@esite.ch>  Fri, 04 Jan 2013 23:54:44 +0200
