=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/waf.mk

DEB_WAF_CONFIGURE_OPTIONS_ALL = --sysconfdir /etc --enable-unitylens-plugin --enable-zeitgeist-plugin --libdir /usr/lib/$(DEB_HOST_MULTIARCH)

# remove pyc files created by waf while building
clean::
	find -name '*.pyc' -delete
