## diodon 1.0.2

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 from waflib.Tools import waf_unit_test
 
 NAME = 'Diodon'
-VERSION = '1.0.1'
+VERSION = '1.0.2'
 APPNAME = 'diodon'
 WEBSITE = 'https://launchpad.net/diodon'
 COPYRIGHT = 'Copyright \xc2\xa9 2010 Diodon Team'
