=== debian/changelog ===
diodon (1.0.2-0ubuntu2) saucy; urgency=low

  * Deactivate unitylens-plugin (LP: #1189154)
  * debian/patches/01_port-to-zeitgeist-2.0.patch
    - Port to zeitgeist-2.0 (LP: #1197569)
  * Using valac dependency instead of valac-0.16

 -- Oliver Sauder <os@esite.ch>  Sun, 14 Jul 2013 23:58:19 +0300

diodon (1.0.2-0ubuntu1) raring; urgency=low

  * New upstream release.
  * run dh_icons for ubuntu themes for mono icons (LP: #1102708)

 -- Oliver Sauder <os@esite.ch>  Tue, 19 Feb 2013 22:41:39 +0200
