=== debian/control ===
Source: diodon
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oliver Sauder <os@esite.ch>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 9),
               gobject-introspection,
               intltool,
               libappindicator3-dev (>= 0.3.0),
               libdee-dev (>= 0.5.18),
               libgee-dev (>= 0.5.0),
               libglib2.0-dev (>=2.32),
               libgtk-3-dev (>=3.0.8),
               libpeas-dev (>=1.1.1),
               libunique-3.0-dev (>=3.0.0),
               libx11-dev (>= 1.3.2),
               libxml2-dev (>= 2.7.6),
               libxtst-dev (>= 1.2.0),
               libzeitgeist-2.0-dev (>= 0.9.14),
               python,
               valac (>=0.16.0)
Standards-Version: 3.9.4
Homepage: https://launchpad.net/diodon

Package: diodon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: diodon-plugins (= ${binary:Version})
Description: GTK+ Clipboard manager
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and an option to set the clipboard size.

Package: libdiodon0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK+ Clipboard manager (main library)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and an option to set the clipboard size.
 .
 This package contains the main library used by the Diodon. It is used both by
 the clipboard manager itself and by the plugins.
 .
 This library is only useful within Diodon. You should not have to
 manually install this package.

Package: gir1.2-diodon-1.0
Architecture: any
Depends: gir1.2-gee-1.0 (>= 0.5.0),
         gir1.2-glib-2.0,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GTK+ Clipboard manager (GObject introspection data)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and an option to set the clipboard size.
 .
 This package contains introspection data for Diodon.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: diodon-dev
Architecture: any
Section: devel
Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
         libdiodon0 (= ${binary:Version}),
         libpeas-dev (>=1.1.1),
         ${misc:Depends}
Description: GTK+ Clipboard manager (development files)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and an option to set the clipboard size.
 .
 Diodon is also extensible through its plugin system.
 .
 This package is required to build plugins for Diodon.

Package: diodon-plugins
Architecture: any
Depends: diodon (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GTK+ Clipboard manager (additional plugins)
 Diodon is a lightweight clipboard manager for Linux written in Vala which
 "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
 .
 Diodon features include Ubuntu indicator, clipboard sync (primary selection
 and Ctrl+C / Ctrl+V clipboard) and an option to set the clipboard size.
 .
 Diodon is also extensible through its plugin system.
 .
 This package contains following additional plugins:
 Zeitgeist Data-Source
