=== debian/watch ===
version=3
http://launchpad.net/diodon/+download .*/diodon-([0-9.]+)\.tar\.gz
