=== debian/changelog ===
diodon (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Added missing libgee-dev binding dependency
  * Using valac dependency instead of valac-0.16

 -- Oliver Sauder <os@esite.ch>  Sat, 13 Jul 2013 17:45:52 +0300

diodon (1.0.1-1) experimental; urgency=low

  * Initial release (Closes: #698282)

 -- Oliver Sauder <os@esite.ch>  Wed, 16 Jan 2013 10:59:10 +0200
