=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: diodon
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Oliver Sauder <os@esite.ch>
+Maintainer: Oliver Sauder <os@esite.ch>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 9),
                gobject-introspection,
                intltool,
                libappindicator3-dev (>= 0.3.0),
-               libdee-dev (>= 0.5.18),
                libgee-dev (>= 0.5.0),
                libglib2.0-dev (>=2.32),
                libgtk-3-dev (>=3.0.8),
@@ -17,11 +15,13 @@
                libx11-dev (>= 1.3.2),
                libxml2-dev (>= 2.7.6),
                libxtst-dev (>= 1.2.0),
-               libzeitgeist-2.0-dev (>= 0.9.14),
+               libzeitgeist-dev (>= 0.3.12),
                python,
                valac (>=0.16.0)
 Standards-Version: 3.9.4
 Homepage: https://launchpad.net/diodon
+Vcs-Bzr: lp:diodon
+Vcs-Browser: https://code.launchpad.net/~diodon-team/diodon/trunk
 
 Package: diodon
 Architecture: any
@@ -76,6 +76,7 @@
 Section: devel
 Depends: gir1.2-diodon-1.0 (= ${binary:Version}),
          libdiodon0 (= ${binary:Version}),
+         libgee-dev (>= 0.5.0),
          libpeas-dev (>=1.1.1),
          ${misc:Depends}
 Description: GTK+ Clipboard manager (development files)
@@ -102,4 +103,4 @@
  Diodon is also extensible through its plugin system.
  .
  This package contains following additional plugins:
- Zeitgeist Data-Source
+  * Unity Lens
