=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,3 @@
 # remove pyc files created by waf while building
 clean::
 	find -name '*.pyc' -delete
-
-# debhelper.mk targets, so silently ignored if debhelper.mk not included
-$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
-	$(if $(wildcard /usr/bin/dh_icons),dh_icons -p$(cdbs_curpkg) $(DEB_DH_ICONS_ARGS))
