=== debian/changelog ===
diodon (1.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Removed obsolete libunique dependency (LP: #1310360)
  * Updated to libgee-0.8 dependency (LP: #1348994)
  * diodon needs specific version of libdiodon0 (LP: #1347181)
  * Added deps dbus-x11, at-spi2-core, python-dbus,
    zeitgeist-core and xvfb to run tests
  * out-of-date-standards-version, updated to 3.9.5
  * Replaced diodon-plugins with unity-scope-diodon package
  * Fixing wrong-section-according-to-package-name gir1.2-diodon-1.0
  * Override gsettings to show clipboard.scope icon in dash
  * Dropped obsolete patch 01_port-to-zeitgeist-2.0.patch

 -- Oliver Sauder <os@esite.ch>  Mon, 04 Aug 2014 14:37:37 +0300
