## diodon 1.3.0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 from waflib.Tools import waf_unit_test
 
 NAME = 'Diodon'
-VERSION = '1.2.0'
+VERSION = '1.3.0'
 APPNAME = 'diodon'
 WEBSITE = 'https://launchpad.net/diodon'
 COPYRIGHT = 'Copyright \xc2\xa9 2010-2014 Diodon Team'
