=== debian/changelog ===
diodon (1.3.0-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{control, unity*, rules}:
      + Add Unity Scope plugin.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 27 Dec 2015 16:06:04 +0100

diodon (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed obsolete libunique and libxml dependency
  * Updated to libgee-0.8 dependency (Closes: #753859)
  * Allows autostart on all DEs except KDE (Closes: #777670)
  * diodon needs specific version of libdiodon0
  * Added deps dbus-x11, at-spi2-core, python-dbus,
    zeitgeist-core and xvfb to run tests
  * out-of-date-standards-version, updated to 3.9.5
  * Fixed debian-watch-may-check-gpg-signature
  * Removed obsolete package diodon-plugins
  * Fixing wrong-section-according-to-package-name gir1.2-diodon-1.0
  * make sure that dh_icons gets called
  * Make gir1.2- package Multi-Arch: same

 -- Oliver Sauder <os@esite.ch>  Sat, 21 Feb 2015 21:11:07 +0300
