=== debian/control ===
--- 
+++ 
@@ -23,12 +23,15 @@
                valac (>=0.20.0),
                xvfb,
                zeitgeist-core
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/diodon
 
 Package: diodon
 Architecture: any
-Depends: libdiodon0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libdiodon0 (= ${binary:Version}),
+         zeitgeist-core (>= 0.9.14),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: unity-scope-diodon (= ${binary:Version})
 Description: GTK+ Clipboard manager
  Diodon is a lightweight clipboard manager for Linux written in Vala which
@@ -59,6 +62,7 @@
 
 Package: gir1.2-diodon-1.0
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: gir1.2-gee-0.8 (>= 0.10.5),
          gir1.2-glib-2.0,
@@ -100,7 +104,9 @@
 
 Package: unity-scope-diodon
 Architecture: any
-Depends: diodon (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: diodon (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GTK+ Clipboard manager (Unity Scope)
  Diodon is a lightweight clipboard manager for Linux written in Vala which
  "aims to be the best integrated clipboard manager for the Gnome/Unity desktop".
